# Generated from orgmode-code-extractor-0.0.5.gem by gem2rpm -*- rpm-spec -*-
%global gem_name orgmode-code-extractor

Name: rubygem-%{gem_name}
Version: 0.0.5
Release: 1%{?dist}
Summary: Tool to extract the code blocks from org-mode files and write them out as sperate files
License: MIT
URL: http://github.com/flajann2/orgmode-code-extractor
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 2.2
# BuildRequires: rubygem(rspec) >= 3
# BuildRequires: rubygem(rspec) < 4
# BuildRequires: rubygem(yard)
# BuildRequires: rubygem(yard) < 1
# BuildRequires: rubygem(guard-rspec) >= 4
# BuildRequires: rubygem(guard-rspec) < 5
# BuildRequires: rubygem(jeweler) >= 2
# BuildRequires: rubygem(jeweler) < 3
# BuildRequires: rubygem(simplecov)
# BuildRequires: rubygem(pry)
# BuildRequires: rubygem(pry-doc)
# BuildRequires: rubygem(pry-byebug)
# BuildRequires: rubygem(pry-remote)
# BuildRequires: rubygem(pry-rescue)
# BuildRequires: rubygem(pry-stack_explorer)
BuildArch: noarch

%description
Orgmode Code Extractor
extracts embedded code from your org mode files,
to seperate independent ones.
.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%{_bindir}/orgmode-code-extractor
%{gem_instdir}/.semver
%license %{gem_instdir}/LICENSE.txt
%{gem_instdir}/bin
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/.document
%exclude %{gem_instdir}/.rspec
%{gem_instdir}/Gemfile
%{gem_instdir}/Gemfile.lock
%doc %{gem_instdir}/README.org
%{gem_instdir}/Rakefile
%{gem_instdir}/orgmode-code-extractor.gemspec
%{gem_instdir}/spec

%changelog
* Tue Sep 14 2021 mockbuilder - 0.0.5-1
- Initial package
